
QGIS Application - Bug report #18068

QGIS-dev crashes after PyQt5 QComboBox.clear()

2018-02-09 04:24 PM - Ondrej Remes

Status: Closed

Priority: High

Assignee:

Category: Python bindings / sipify

Affected QGIS version:2.99(master) Regression?: No

Operating System: Windows 10 64bit professional Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 25964

Description

Hello, when i can clear item list in QComboBox used in custom attribute form, Qgis crashes without

debug informations! Same situation occurs when i can remove items by QComboBox.removeItem()

calling.

History

#1 - 2018-02-10 05:00 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you share the form?

#2 - 2018-02-10 09:11 AM - Ondrej Remes

- File vloz_kere.ui added

okey, in attachment.

#3 - 2018-02-10 06:19 PM - Alessandro Pasotti

Cannot reproduce on master/linux with Qt 5.9.3

#4 - 2018-02-11 11:40 AM - Ondrej Remes

I'm sending part of code:

def vloz_kere(dialog, layer, feature):

  global myDialog

  myDialog = dialog

  fTAXON = dialog.findChild(QComboBox, "TAXON")

    fTAXON.editTextChanged.connect(refresh_combo)

def refresh_combo():

    fTAXON = myDialog.findChild(QComboBox, "TAXON")

    if fTAXON.count() is None or fTAXON.count() == 0 :

        pass
    else:

        fTAXON.clear() 

    for key, value in druh.items():

        if str(fTAXON.currentText()) in value:

            fTAXON.addItem(value)

I try add condition for first use (fTAXON.count() is None or 0) but problem is not finished. Qgis frozes and be shutdown with no debug infrormations.

#5 - 2018-02-11 12:03 PM - Ondrej Remes

The problem occurs after start attribute form when i try type something in combobox, cursor is freeze for 3 - 4 seconds and the application crashes.

#6 - 2018-02-11 10:31 PM - Denis Rouzaud

- Assignee deleted (Denis Rouzaud)

#7 - 2018-03-04 11:19 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from master to 2.99(master)

- Crashes QGIS or corrupts data changed from No to Yes

#8 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#9 - 2019-02-11 12:23 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files

vloz_kere.ui 12.5 KB 2018-02-10 Ondrej Remes
